-- NetIQ eDirectory Management ToolBox Schema Extension
-- NetIQ Corporation
-- 1233 West Loop South, Suite 810
-- Houston, TX 77027 USA

-- CoPyRiGhT=Copyright (c) 2013 NetIQ Corporation and its affiliates. All Rights Reserved.

-- Schema Source:            embox.sch
-- Description:         NetIQ eDirectory Management ToolBox Schema Extension
-------------------------------------------------------------------
-- NetIQ eDirectory Management ToolBox Schema Extension
--
-- Add an optional attribute emboxConfig to the NCP server object.
-- The attribute will hold the eMBox configuration XML document.
-- It will be accessed by the configuration manager, so we want it
-- to be octet values.
-------------------------------------------------------------------

NovelleMBoxSchemaExtentions {2 16 840 1 113719 1 1} DEFINITIONS ::=
BEGIN

"emboxConfig" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 1 4 1 295}
}

"NCP Server" OBJECT-CLASS ::=
{
	Operation MODIFY,
	MayContain {"emboxConfig"}
}

END
